package com.icontrols.oauth.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "client_info")
public class ClientInfo {

	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "client_id")
	private String clientId;
	@Column(name = "name")
	private String clientName;
	@Column(name = "code")
	private String clientCode;
	@Column(name = "client_key")
	private String clientSecret;
	@Column(name = "end_point")
	private String endPoint;

	public String getClientId() {
		return clientId;
	}

	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	public String getClientName() {
		return clientName;
	}

	public void setClientName(String clientName) {
		this.clientName = clientName;
	}

	public String getClientCode() {
		return clientCode;
	}

	public void setClientCode(String clientCode) {
		this.clientCode = clientCode;
	}

	public String getClientSecret() {
		return clientSecret;
	}

	public void setClientSecret(String clientSecret) {
		this.clientSecret = clientSecret;
	}

	public String getEndPoint() {
		return endPoint;
	}

	public void setEndPoint(String endPoint) {
		this.endPoint = endPoint;
	}

	public ClientInfo(String clientId, String clientName, String clientCode, String clientSecret) {
		super();
		this.clientId = clientId;
		this.clientName = clientName;
		this.clientCode = clientCode;
		this.clientSecret = clientSecret;
	}

	public ClientInfo(String clientId, String clientName, String clientCode, String clientSecret, String endPoint) {
		super();
		this.clientId = clientId;
		this.clientName = clientName;
		this.clientCode = clientCode;
		this.clientSecret = clientSecret;
		this.endPoint = endPoint;
	}

	public ClientInfo() {
		super();
	}

	@Override
	public String toString() {
		return "ClientInfo [clientId=" + clientId + ", clientName=" + clientName + ", clientCode=" + clientCode
				+ ", clientSecret=" + clientSecret + ", endPoint=" + endPoint + "]";
	}

}
